Subject: Re: [Isis-wg] Areas in ISIS

From: Radia Perlman - Boston Center for Networking <[email-masked]>
Date: Mon, 19 Jun 2000 13:54:40 -0400 (EDT)

Years ago (like 10) Chris Gunner and I did an internet-draft
explaining how a router capable of running multiple instances
of IS-IS could be configured to interconnect two areas. It just
has to be configured with which ports are in which areas, and which
addresses to pass along from one area to another.

NLSP did this, and extended the idea with something called "area-hops"
which said how many areas you were allowed to learn the address range
and pass it along. This allowed interconnecting two areas but not allowing
through traffic from other areas (set area-hops to 1), and cut down on
the count-to-infinity behavior that could be caused by complex interconnections
of areas without a level 2 backbone.

This isn't a protocol issue, if you don't add "area-hops". It's solely
an implementation issue at the multi-area router.
If someone wants to build a router that can
do multiple instances of IS-IS and be configured with what to pass between
the areas, none of the other routers need to know that this is going on.

Radia

	From: Abe Martey <[email-masked]>
	To: "Metz, E.T." <[email-masked]>
	Cc: [email-masked]
	Subject: Re: [Isis-wg] Areas in ISIS
	Mime-Version: 1.0
	X-Mailman-Version: 1.0rc3
	List-Id: IETF IS-IS working group <isis-wg.external.juniper.net>
	X-BeenThere: [email-masked]

	On Mon, Jun 19, 2000 at 03:40:56PM +0100, Metz, E.T. wrote:
	> Hi all,
	> 
	> is it possible to have an ISIS network with different areas, but 
without an
	> explicit backbone area?
	
	Sure! Each router belongs to one area and there is no need for a 
	physically distinct backbone area. The backbone refers to the level-2
	routing domain which is a logical area....the group of routers involved 
	in level-2 routing (as you describe below) form the isis backbone...the
	backbone stretch just has to be contiguous...
	
	Cheers.
	
	- abe
	
	> 
	> I thought it could be done because the L1/L2 routers in each of the 
areas
	> will form (L2) adjacencies and exchange routing info. So even without 
a real
	> backbone area, traffic will still flow between differents areas.
	> 
	> Is the above correct? Does it make any sense?
	> 
	> cheers,
	> 	Eduard
	> 
	> _______________________________________________
	> Isis-wg mailing list  -  [email-masked]
	> http://external.juniper.net/mailman/listinfo/isis-wg
	
	-- 

	==.==.==.==.==
	Abe Martey
	San Jose, CA
	408 527 9149
	
	_______________________________________________
	Isis-wg mailing list  -  [email-masked]
	http://external.juniper.net/mailman/listinfo/isis-wg

_______________________________________________
Isis-wg mailing list  -  [email-masked]
http://external.juniper.net/mailman/listinfo/isis-wg

---

From: "Metz, E.T." <[email-masked]>
Date: Tue, 20 Jun 2000 20:14:11 +0100

Thanks for the clarifications ... 

As for the situation I was thinking of, this was indeed the case where you
have multiple areas and the backbone is formed of the "edges" of the areas
and the links between the areas. I didn't really think of a "chain" of
areas, the loop issue is although interesting.

I like the concept of this "virtual backbone" is ISIS, although in
(re)designing networks you'll probably have to clearly keep in mind to keep
the backbone contiguos and avoid chains (loops) of areas. While in OSPF this
is more or less forced upon th designer due to the explicit area 0 that has
to present, and to which all other areas should connect.

cheers,
	Eduard

ps. Mike (Shand) an ISIS backbone will never correspond to a L1 area would
it? It needs to be L2 or L1/L2 at least.

> ----------
> From: 	Mike Shand[SMTP:[email-masked]]
> Sent: 	dinsdag 20 juni 2000 9:02
> To: 	Dave Katz
> Cc: 	[email-masked]; [email-masked]
> At 13:26 19/06/2000 -0700, Dave Katz wrote:
> >This isn't "physically distinct" in the sense that L1 traffic can
> traverse
> >some of the same links that make up the L2 topology, but it is important
> >to think of the L2 topology as distinct when you design your network, or
> >you can end up in a world of hurt.  In particular, if areas A, B, and C
> >are connected through a loop, and there are parts of area B that depend
> >on those L1L2 links for L1 connectivity, a break of the path through
> >area B could not be healed via A and C.
> >
> >In the topology you describe, I would visualize the L2 path as being
> >on the edge of area B, as it (at least to me) presents the weaknesses
> >of the topology more clearly.
> 
> Dave,
>          I couldn't agree more. The difference between IS-IS and OSPF is 
> not primarily one of network design, but one of nomenclature. i.e. in
> IS-IS 
> you still need to design a 'backbone', but the backbone isn't named as a 
> single area (0) as it is in OSPF. In fact it isn't named at all. Its just 
> defined by the connected set of L2 routers. In some designs that will 
> correspond to a single L1 area, but in others it may traverse (or as you 
> rightly point out ,it is better to think of it as skirting around the edge
> 
> of) multiple L1 areas.
> 
>          Mike
> 
> 
>

---

From: Mike Shand <[email-masked]>
Date: Tue, 20 Jun 2000 19:34:48 +0100

>it? It needs to be L2 or L1/L2 at least.

Were running into terminological inexactitudes here :-)

Yes it does need to be L2, but one way of designing an IS-IS network is to 
make an area of L1/L2 routers which constitutes the backbone and then hang 
all the other areas off this one. Of course you need at least one L1/L2 
router in each of those areas, so the backbone (in the sense we were 
talking before, i.e. the set of connected L2 routers - or the distribution 
domain of L2 LSPs) spans multiple areas. But it does look rather like the 
OSPF case, where the backbone is a single area (0 in that case).

Mike (S)